<script setup>
import { ref } from "vue";
const props = defineProps({
	label: {
		type: String,
		default: "",
	},
	value: {
		type: String,
		default: "",
	},
});
</script>

<template>
  <div class="info">
    <div class="label">{{ label }}</div>
    <div class="value">
      <slot v-if="$slots.value" name="value" />
      <template v-else>{{ value }}</template>
    </div>
  </div>
</template>

<style scoped lang="less">
.info {
  display: flex;
  background: #193B69;
  height: 32px;
  font-size: 14px;

  .label {
    min-width: 6em;
    color: #fff;
    background: linear-gradient(#3476BE, #3476BE) left center e('/') 2px 100% no-repeat,
      linear-gradient(#1E497E, #1E497E) center center e('/') contain no-repeat;
      display: flex;
      align-items: center;
      justify-content: flex-end;
      padding-right: 0.6em;
      &::after {
        content: ':';
      }
  }

  .value {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 1em;
    color: #48a5d0;
    background: linear-gradient(#3476BE, #3476BE) left center e('/') 2px 46% no-repeat,
        linear-gradient(#377ED2, #377ED2) right bottom e('/') 3px 3px no-repeat;
  }
}
</style>
